/*!
  \example lua/scan_simple.cpp

  \brief 「物体までの距離を測る」サンプル

  \author Satofumi KAMIMURA

  $Id: scan_simple.cpp 1395 2009-10-10 23:32:07Z satofumi $
*/

#include <qrk_main.h>
#include <LuaHandler.h>
#include <luabindInit.h>
#include <luabindRangeFinder.h>

using namespace qrk;


int main(int argc, char *argv[])
{
  static_cast<void>(argc);
  static_cast<void>(argv);

  lua_State* L = luabindInit();
  luabindRangeFinder(L);
  return LuaHandler::dofile(L, "scan_simple.lua");
}
